Difference between revisions of "PKI Packages"

From Dogtag
Jump to: navigation, search
(PKI Component Packages)
(PKI Component Packages)
Line 196: Line 196:
 
<tr>
 
<tr>
 
<th valign="top">
 
<th valign="top">
pki-selinux
+
{flavor}-pki-common-ui
 +
</th>
 +
<td valign="top">
 +
User interface "flavor" for pki-common component<br>Provides:  pki-common-ui
 +
</td>
 +
<td valign="top">
 +
ant
 +
</td>
 +
<td valign="top">&nbsp;</td>
 +
</tr>
 +
<tr>
 +
<th valign="top">
 +
pki-common
 +
</th>
 +
<td valign="top">
 +
Common PKI functions shared by the CA, DRM, OCSP, and TKS subsystems
 +
</td>
 +
<td valign="top">
 +
ant,<br>
 +
java-devel >= 1:1.6.0,<br>
 +
jpackage-utils,<br>
 +
jss >= 4.2.6,<br>
 +
ldapjdk,<br>
 +
osutil,<br>
 +
pki-symkey,<br>
 +
pki-util,<br>
 +
velocity,<br>
 +
xalan-j2
 +
</td>
 +
<td valign="top">
 +
java >= 1:1.6.0,<br>
 +
jss >= 4.2.6,<br>
 +
osutil,<br>
 +
pki-common-ui,<br>
 +
pki-java-tools,<br>
 +
pki-setup,<br>
 +
pki-symkey,<br>
 +
tomcatjss,<br>
 +
%{_javadir}/ldapjdk.jar,<br>
 +
%{_javadir}/velocity.jar,<br>
 +
%{_javadir}/xalan-j2.jar,<br>
 +
%{_javadir}/xerces-j2.jar,<br>
 +
velocity
 +
</td>
 +
</tr>
 +
<tr>
 +
<th valign="top">
 +
pki-common-javadoc
 +
</th>
 +
<td valign="top">
 +
'pki-common' Javadocs.
 +
</td>
 +
<td valign="top">&nbsp;</td>
 +
<td valign="top">pki-common = %{version}-%{release}</td>
 +
</tr>
 +
<tr>
 +
<th valign="top">
 +
{flavor}-pki-console-ui
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
Selinux policies used by the PKI components.
+
User interface "flavor" for pki-console component<br>Provides:  pki-console-ui
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
ant >= 1.6.2 <br>
+
ant,<br>
selinux-policy-devel <br>
+
java-devel >= 1:1.6.0,<br>
m4 <br>
+
jpackage-utils,<br>
make <br>
+
jss >= 4.2.6,<br>
policycoreutils
+
ldapjdk
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
policycoreutils <br>
+
java >= 1:1.6.0,<br>
libsemanage
+
jss >= 4.2.6,<br>
 +
ldapjdk
 
</td>
 
</td>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
 
<th valign="top">
 
<th valign="top">
{flavor}-pki-common-ui
+
pki-console
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
User interface "flavor" for pki-common component<br>Provides:  pki-common-ui
+
PKI console for management of the CA, DRM, OCSP, and TKS subsystems
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
ant >= 1.6.2
+
ant,<br>
 +
idm-console-framework,<br>
 +
java-devel >= 1:1.6.0,<br>
 +
jpackage-utils,<br>
 +
jss >= 4.2.6,<br>
 +
ldapjdk,<br>
 +
pki-util
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
bash >= 3.0
+
idm-console-framework,<br>
 +
java >= 1:1.6.0,<br>
 +
jss >= 4.2.6,<br>
 +
ldapjdk,<br>
 +
pki-console-ui
 
</td>
 
</td>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
 
<th valign="top">
 
<th valign="top">
pki-common
+
pki-selinux
 
</th>
 
</th>
 
<td valign="top">
 
<td valign="top">
Common PKI functions shared by the CA, DRM, OCSP, and TKS subsystems
+
Selinux policies used by the PKI components.
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
ant >= 1.6.2,<br>
+
ant,<br>
pki-util >= 1.0.0,<br>
+
m4,<br>
pki-common-ui >= 1.0.0,<br>
+
make,<br>
java-devel >= 1.4.2,<br>
+
policycoreutils,<br>
jpackage-utils >= 1.6.0,<br>
+
selinux-policy-devel
jss >= 4.2.4,<br>
 
ldapjdk >= 4.17,<br>
 
osutil >= 1.0.0,<br>
 
symkey >= 1.0.0 (pki-symkey >= 1.3.0),<br>
 
velocity >= 1.4
 
 
</td>
 
</td>
 
<td valign="top">
 
<td valign="top">
pki-common-ui,<br>
+
policycoreutils,<br>
pki-java-tools >= 1.0.0,<br>
+
selinux-policy-targeted
pki-setup >= 1.0.0,<br>
 
java >= 1.4.2,<br>
 
osutil >= 1.0.0,<br>
 
rhgb >= 0.14.1,<br>
 
symkey >= 1.0.0 (pki-symkey >= 1.3.0),<br>
 
tomcatjss >= 1.1.0,<br>
 
velocity >= 1.4
 
 
</td>
 
</td>
 
</tr>
 
</tr>
 +
 +
 
<tr>
 
<tr>
 
<th valign="top">
 
<th valign="top">
Line 521: Line 579:
 
<td valign="top">
 
<td valign="top">
 
perl >= 5.8.0
 
perl >= 5.8.0
</td>
 
</tr>
 
<tr>
 
<th valign="top">
 
{flavor}-pki-console-ui
 
</th>
 
<td valign="top">
 
User interface "flavor" for pki-console component<br>Provides:  pki-console-ui
 
</td>
 
<td valign="top">
 
ant >= 1.6.2,<br>
 
java-devel >= 1.4.2,<br>
 
jpackage-utils >= 1.6.0,<br>
 
jss >= 4.2.4,<br>
 
ldapjdk >= 4.17
 
</td>
 
<td valign="top">
 
jss >= 4.2.4,<br>
 
ldapjdk >= 4.17
 
</td>
 
</tr>
 
<tr>
 
<th valign="top">
 
pki-console
 
</th>
 
<td valign="top">
 
PKI console for management of the CA, DRM, OCSP, and TKS subsystems
 
</td>
 
<td valign="top">
 
ant >= 1.6.2,<br>
 
pki-util >= 1.0.0,<br>
 
pki-console-ui >= 1.0.0,<br>
 
idm-console-framework >= 1.0.3,<br>
 
jpackage-utils >= 1.6.0,<br>
 
jss >= 4.2.4,<br>
 
ldapjdk >= 4.17,<br>
 
java-sdk >= 1.7.0
 
</td>
 
<td valign="top">
 
pki-console-ui,<br>
 
idm-console-framework >= 1.0.3,<br>
 
jss >= 4.2.4,<br>
 
ldapjdk >= 4.17
 
 
</td>
 
</td>
 
</tr>
 
</tr>

Revision as of 01:33, 4 May 2010

PKI Component Packages

IMPORTANT: For ALL of the following components, "{flavor}" equals "dogtag"!

The following table lists all PKI component packages with a brief description of their purpose along with their Fedora/EPEL build and runtime dependencies:

PKI Component Description Fedora/EPEL Build Dependencies Fedora/EPEL Runtime Dependencies

osutil

A Java Native Interface (JNI) library composed of operating system utilities - PKI subsystems only utilize the various Base64 and getpid() functions

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
nspr-devel >= 4.6.99,
nss-devel >= 3.12.3.99,
pkgconfig

java >= 1:1.6.0,
jpackage-utils,
nss >= 3.12.3.99

osutil-debuginfo

'osutil' subpackage for debugging.

   

pki-symkey

A Java Native Interface (JNI) library composed of symmetric key functions

NOTE:   Prior to Dogtag 1.3, the 'pki-symkey' RPM was simply called 'symkey' and contained no subpackages!

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
nspr-devel >= 4.6.99,
nss-devel >= 3.12.3.99,
pkgconfig

java >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
nss >= 3.12.3.99

pki-symkey-debuginfo

'pki-symkey' subpackage for debugging.

   

pki-native-tools

Various stand-alone PKI tools created from C, C++, Perl, bash, etc. See PKI Native Tools for more information.

cyrus-sasl-devel,
mozldap-devel,
nspr-devel >= 4.6.99,
nss-devel >= 3.12.3.99,
svrcore-devel

mozldap-tools,
nss >= 3.12.3.99,
nss-tools >= 3.12.3.99

pki-native-tools-debug

'pki-native-tools' subpackage for debugging.

   

pki-util

Low-level PKI utilities

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
ldapjdk,
osutil,
xerces-j2

java >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
ldapjdk

pki-util-javadoc

'pki-util' Javadocs.

  %{name} = %{version}-%{release}

pki-setup

Perl scripts intended for management of CA, DRM, OCSP, RA, TKS, and TPS subsystem instances

ant

perl-Crypt-SSLeay,
policycoreutils,
%{?fc11:policycoreutils-python},
%{?fc12:policycoreutils-python}

pki-java-tools

Various PKI tools created as stand-alone Java applications. See PKI Java Tools for more information.

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
osutil,
pki-util

java >= 1:1.6.0,
pki-native-tools,
pki-util

pki-java-tools-javadoc

'pki-java-tools' Javadocs.

  %{name} = %{version}-%{release}

{flavor}-pki-common-ui

User interface "flavor" for pki-common component
Provides: pki-common-ui

ant

 

pki-common

Common PKI functions shared by the CA, DRM, OCSP, and TKS subsystems

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
ldapjdk,
osutil,
pki-symkey,
pki-util,
velocity,
xalan-j2

java >= 1:1.6.0,
jss >= 4.2.6,
osutil,
pki-common-ui,
pki-java-tools,
pki-setup,
pki-symkey,
tomcatjss,
%{_javadir}/ldapjdk.jar,
%{_javadir}/velocity.jar,
%{_javadir}/xalan-j2.jar,
%{_javadir}/xerces-j2.jar,
velocity

pki-common-javadoc

'pki-common' Javadocs.

  pki-common = %{version}-%{release}

{flavor}-pki-console-ui

User interface "flavor" for pki-console component
Provides: pki-console-ui

ant,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
ldapjdk

java >= 1:1.6.0,
jss >= 4.2.6,
ldapjdk

pki-console

PKI console for management of the CA, DRM, OCSP, and TKS subsystems

ant,
idm-console-framework,
java-devel >= 1:1.6.0,
jpackage-utils,
jss >= 4.2.6,
ldapjdk,
pki-util

idm-console-framework,
java >= 1:1.6.0,
jss >= 4.2.6,
ldapjdk,
pki-console-ui

pki-selinux

Selinux policies used by the PKI components.

ant,
m4,
make,
policycoreutils,
selinux-policy-devel

policycoreutils,
selinux-policy-targeted

{flavor}-pki-ca-ui

User interface "flavor" for pki-ca component
Provides: pki-ca-ui

ant >= 1.6.2

bash >= 3.0

pki-ca

Certificate Authority

ant >= 1.6.2,
pki-ca-ui >= 1.0.0,
pki-common >= 1.0.0,
pki-util >= 1.0.0,
java-devel >= 1.4.2,
jpackage-utils >= 1.6.0,
jss >= 4.2.4

pki-ca-ui,
pki-common >= 1.0.0
pki-selinux >= 1.0.0

{flavor}-pki-kra-ui

User interface "flavor" for pki-kra component
Provides: pki-kra-ui

ant >= 1.6.2

bash >= 3.0

pki-kra

Data Recovery Manager

ant >= 1.6.2,
pki-kra-ui >= 1.0.0,
pki-common >= 1.0.0,
pki-util >= 1.0.0,
java-devel >= 1.4.2,
jpackage-utils >= 1.6.0,
jss >= 4.2.4

pki-kra-ui,
pki-common >= 1.0.0
pki-selinux >= 1.0.0

{flavor}-pki-ocsp-ui

User interface "flavor" for pki-ocsp component
Provides: pki-ocsp-ui

ant >= 1.6.2

bash >= 3.0

pki-ocsp

Online Certificate Status Protocol Manager

ant >= 1.6.2,
pki-ocsp-ui >= 1.0.0,
pki-common >= 1.0.0,
pki-util >= 1.0.0,
java-devel >= 1.4.2,
jpackage-utils >= 1.6.0,
jss >= 4.2.4

pki-ocsp-ui,
pki-common >= 1.0.0
pki-selinux >= 1.0.0

{flavor}-pki-tks-ui

User interface "flavor" for pki-tks component
Provides: pki-tks-ui

ant >= 1.6.2

bash >= 3.0

pki-tks

Token Key Service for Smartcards

ant >= 1.6.2,
pki-tks-ui >= 1.0.0,
pki-common >= 1.0.0,
pki-util >= 1.0.0,
java-devel >= 1.4.2,
jpackage-utils >= 1.6.0,
jss >= 4.2.4

pki-tks-ui,
pki-common >= 1.0.0
pki-selinux >= 1.0.0

{flavor}-pki-ra-ui

User interface "flavor" for ra component
Provides: pki-ra-ui

ant >= 1.6.2

bash >= 3.0

pki-ra

Registration Authority

ant >= 1.6.2,
pki-ra-ui >= 1.0.0

pki-ra-ui,
pki-setup >= 1.0.0,
mod_nss >= 1.0.3,
mod_perl >= 1.99_16,
mozldap >= 6.0.2,
perl-DBD-SQLite >= 1.11,
perl-HTML-Parser >= 3.35,
perl-HTML-Tagset >= 3.03,
perl-Parse-RecDescent >= 1.94,
perl-URI >= 1.30,
perl-XML-NamespaceSupport >= 1.08,
perl-XML-Parser >= 2.34,
perl-XML-SAX >= 0.12,
perl-XML-Simple >= 2.14,
perl-libwww-perl >= 5.79,
sendmail >= 8.13.1,
sqlite >= 3.3.3
pki-selinux > 1.0.0

{flavor}-pki-tps-ui

User interface "flavor" for tps component
Provides: pki-tps-ui

ant >= 1.6.2

bash >= 3.0

pki-tps

Token Processing System for Smartcards

apr-devel >= 0.9.4,
apr-util-devel >= 0.9.4,
pki-tps-ui >= 1.0.0,
bash >= 3.0,
cyrus-sasl-devel >= 2.1.19,
httpd-devel >= 2.0.52,
mozldap-devel >= 6.0.2,
nspr-devel >= 4.6.5,
nss-devel >= 3.11.5,
nss-pkcs11-devel >= 3.11.5,
pcre-devel >= 6.6,
svrcore-devel >= 4.0.3.01,
zlib >= 1.2.3

pki-setup >= 1.0.0,
pki-tps-ui,
mod_nss >= 1.0.3,
mod_perl >= 1.99_16,
mozldap >= 6.0.2,
perl-HTML-Parser >= 3.35,
perl-HTML-Tagset >= 3.03,
perl-Parse-RecDescent >= 1.94,
perl-URI >= 1.30,
perl-XML-NamespaceSupport >= 1.08,
perl-XML-Parser >= 2.34,
perl-XML-SAX >= 0.12,
perl-XML-Simple >= 2.14,
perl-libwww-perl >= 5.79
pki-selinux >= 1.0.0

pki-manage

Perl scripts intended for management of CA, DRM, OCSP, RA, TKS, and TPS subsystems

NOTE:   As of Dogtag 1.3, the 'pki-manage' RPM has been 'discontinued' on Fedora/EPEL platforms in favor of 'yum' and 'yum-utils'!

ant >= 1.6.2

perl >= 5.8.0

pki-silent

Java utility used for batch configuration of CA, DRM, OCSP, TKS, RA, and TPS subsystem instances

ant >= 1.6.2,
pki-common >= 1.0.0,
pki-util >= 1.0.0,
java-devel >= 1.4.2,
jpackage-utils >= 1.6.0,
jss >= 4.2.4

pki-common >= 1.0.0

pki-migrate

Pre-built applications created to migrate data between various versions of Certificate System

NOTE:   As of Dogtag 1.3, the 'pki-migrate' RPM has been 'discontinued'!

N/A

java